# $Revision: 1.34 $, $Date: 2008/11/27 10:59:26 $
Summary:	Programs to handle audio and video in Ogg stream
Summary(pl.UTF-8):	Programy do obsługi audio i video w strumieniu Ogg
Name:		ogmtools
Version:	1.5
Release:	3
License:	GPL
Group:		Applications
Source0:	http://www.bunkus.org/videotools/%{name}/%{name}-%{version}.tar.bz2
# Source0-md5:	02d356e3d21d53b1d9715bab223d8996
Patch0:		%{name}-acam.patch
URL:		http://www.bunkus.org/videotools/ogmtools/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libdvdread-devel
BuildRequires:	libogg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libvorbis-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OGM (Ogg Media) is a video format created on Windows. It is Ogg stream
with with video stream like those usually found in AVI file (like
DivX3, DivX4, XviD etc) and several audio (usually Vorbis) and
subtitle streams. ogmtools allow creation and extraction, as well as
provide information about such files.

%description -l pl.UTF-8
OGM (Ogg Media) to format video stworzony pod systemem Windows. Jest
to zwykły strumień Ogg w którym enkapsulowane są strumienie video
identyczne z tymi w plikach AVI (DivX3, DivX4, XviD etc) oraz kilka
strumieni audio (zwykle Vorbis) i tekstowych, zawierających napisy do
filmu. ogmtools pozwala na tworzenie, rozbieranie i uzyskiwanie
informacji o plikach OGM.

%prep
%setup -q
%patch0 -p1

%build
rm -rf autom4te.cache
./autogen.sh
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ogmtools.spec,v $
Revision 1.34  2008/11/27 10:59:26  arekm
- release 3

Revision 1.33  2008/07/27 22:25:25  arekm
- release 2

Revision 1.32  2007-03-17 22:50:11  sls
- added acam.patch

Revision 1.31  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.30  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.29  2005/06/08 15:05:07  zbyniu
- BR: libstdc++-devel

Revision 1.28  2004/11/07 20:55:14  paszczus
- updated to 1.5

Revision 1.27  2004/10/28 11:36:31  paladine
- "Ogg" and "Vorbis" unification

Revision 1.26  2004/09/03 13:55:59  darekr
- updated to 1.4.1

Revision 1.25  2004/04/10 20:52:19  adamg
- BuildRequires: autoconf, automake (from autogen.sh)

Revision 1.24  2004/04/10 19:25:59  adamg
- updated to 1.3

Revision 1.23  2003/11/21 10:47:43  wiget
- 1.2

Revision 1.22  2003/05/28 13:00:02  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 05:51:20  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/05/21 20:59:48  rrw
- version 1.0.3;

Revision 1.19  2003/05/05 09:52:34  misi3k
- updated to 1.0.2

Revision 1.18  2003/03/10 12:41:45  rrw
- ver 1.0.1;

Revision 1.17  2003/03/03 15:06:56  rrw
- version 1.0.0;
- STBR;

Revision 1.16  2003/01/28 07:54:40  rrw
- ver 0.973;

Revision 1.15  2003/01/07 11:59:27  rrw
- 0.972;
- removed patch for 64bit architectures -- it's taken care of in original
  sources now;

Revision 1.14  2002/11/14 16:05:03  rrw
- ogmtools-0.960;

Revision 1.13  2002/10/25 14:06:10  ankry
- fixed 64bit arch build; release 2

Revision 1.12  2002/10/24 18:49:57  rrw
- ogmtools-0.954;

Revision 1.11  2002/10/11 22:44:32  rrw
- ogmtools-0.951;

Revision 1.10  2002/10/02 13:13:36  qboosh
- cosmetics/simplifications

Revision 1.9  2002/09/30 21:23:21  rrw
- buildreq: libdvdread-devel

Revision 1.8  2002/09/30 21:21:09  rrw
- ogmtools-0.950;
- added dvdxchap (tool for extracting chapter information from DVD);
- STBR;

Revision 1.7  2002/09/18 17:37:32  rrw
- ogmtools-0.931;
- added manpages;
- STBR;

Revision 1.6  2002/09/15 05:19:29  rrw
- version 0.922;
- ogmsplit is now written in C++ instead of the former ugly perl script;
- STBR;

Revision 1.5  2002/08/24 17:29:24  rrw
- ogmtools-0.9;
- this version removes dependancy on external avilib (removed
  buildrequires for it);
- new tool: ogmsplit;

Revision 1.4  2002/08/15 12:41:43  rrw
- version 0.9pre1;

Revision 1.3  2002/08/03 04:42:48  rrw
- added description;
- builds and works;
- realease 1;

Revision 1.2  2002/08/03 04:34:08  rrw
- builds OK;

Revision 1.1  2002/08/03 04:20:14  rrw
- initial spec from template;
